Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaSimpleContentRestriction

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaContent
                  org.apache.ws.commons.schema.XmlSchemaSimpleContentRestriction

    public class XmlSchemaSimpleContentRestriction

extends XmlSchemaContent

Class for simple types that are derived by restriction. Restricts the range of values for the element to a subset of the inherited simple types. Represents the World Wide Web Consortium (W3C) restriction element for simple content.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaSimpleContentRestriction()` Creates new XmlSchemaSimpleContentRestriction

Method Summary
`XmlSchemaAnyAttribute` | `getAnyAttribute()`
`XmlSchemaObjectCollection` | `getAttributes()`
`XmlSchemaSimpleType` | `getBaseType()`
`javax.xml.namespace.QName` | `getBaseTypeName()`
`XmlSchemaObjectCollection` | `getFacets()`
`void` | `setAnyAttribute(XmlSchemaAnyAttribute anyAttribute)`
`void` | `setBaseType(XmlSchemaSimpleType baseType)`
`void` | `setBaseTypeName(javax.xml.namespace.QName baseTypeName)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaSimpleContentRestriction

    public XmlSchemaSimpleContentRestriction()

  Creates new XmlSchemaSimpleContentRestriction

Method Detail

### setAnyAttribute

    public void setAnyAttribute(XmlSchemaAnyAttribute anyAttribute)

### getAnyAttribute

    public XmlSchemaAnyAttribute getAnyAttribute()

### getAttributes

    public XmlSchemaObjectCollection getAttributes()

### setBaseType

    public void setBaseType(XmlSchemaSimpleType baseType)

### getBaseType

    public XmlSchemaSimpleType getBaseType()

### setBaseTypeName

    public void setBaseTypeName(javax.xml.namespace.QName baseTypeName)

### getBaseTypeName

    public javax.xml.namespace.QName getBaseTypeName()

### getFacets

    public XmlSchemaObjectCollection getFacets()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.